Subject: Re: bug#8705: 23.3; Emacs occasionally crashes (segfault) just after starting it

From: Vincent Lefevre <[email-masked]>
Date: Fri, 20 May 2011 14:59:19 +0200

On 2011-05-20 14:38:58 +0300, Eli Zaretskii wrote:
> > Date: Fri, 20 May 2011 13:16:01 +0200
> > From: Vincent Lefevre <[email-masked]>
> > Cc: [email-masked]
> > 
> > On 2011-05-20 13:40:34 +0300, Eli Zaretskii wrote:
> > > All of your reported crashes seem to be in a call to `getenv', which
> > > is a library function, called by GTK routines deep in the GTK code.
> > > It is hard to imagine that they could be Emacs problems, especially
> > > since you see them since Emacs 22.
> > 
> > Unless Emacs has corrupted the memory earlier.
> 
> That's definitely a possibility.  However, it is strange that only you
> see these problems for several versions.  If Emacs corrupts memory so
> early into the session, many other users would be affected.

No, because other users have a different configuration. I'm quite
sure that the configuration matters as I got such crashes on
different machines (where I use the same config).

By configuration, I mean the .emacs, but also the graphical
environment (e.g. the window manager, fvwm in my case, and its
configuration). That wouldn't be the first time an application
is affected by the window manager. See

  https://bugzilla.mozilla.org/show_bug.cgi?id=551678

for instance, where I could reproduce a bug only with manual/active
placement.

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)